<?php
defined('BASEPATH') OR exit('No direct script access allowed');


class Sitemap_for_type_web_pages extends CI_Controller {


   function index()
    {
       
        // $domain = str_replace(['https://','/'],'',base_url());
        $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
        
        // $domain = 'apartments-dubai.com';
        
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');

        
        $this->db->select('w. sub_domain');
        $this->db->from('sub_domain_info w');
        $this->db->join('type_web_pages t', 't.domain_id = w.domain_id');
        $this->db->join('type_web_pages_domain_list d', 'd.domain_id = w.domain_id');
        $this->db->where('w.domain_id',$domain_id);
        $d = $this->db->get();
        
        // Start sitemap XML content
        $sitemapContent = '<sitemapindex xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
        
        // $sitemapContent .= '<sitemapindex xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
        
        $sitemapContent .= '<sitemap>';
            // $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url('pages-sitemap.xml') . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>'; // Replace 'last_modified' with your column name
            // $sitemapContent .= '<changefreq>daily</changefreq>';
            // $sitemapContent .= '<priority>0.8</priority>';
            // $sitemapContent .= '</url>';
            $sitemapContent .= '</sitemap>';
            
            $sitemapContent .= '<sitemap>';
            // $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url('buy-sitemap.xml') . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>'; // Replace 'last_modified' with your column name
            // $sitemapContent .= '<changefreq>daily</changefreq>';
            // $sitemapContent .= '<priority>0.8</priority>';
            // $sitemapContent .= '</url>';
            $sitemapContent .= '</sitemap>';
            
            $sitemapContent .= '<sitemap>';
            // $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url('sale-sitemap.xml') . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>'; // Replace 'last_modified' with your column name
            // $sitemapContent .= '<changefreq>daily</changefreq>';
            // $sitemapContent .= '<priority>0.8</priority>';
            // $sitemapContent .= '</url>';
            $sitemapContent .= '</sitemap>';

        // Loop through data and create URL entries
        // foreach ($d->result_array() as $item) {
        //     $sitemapContent .= '<url>';
        //     $sitemapContent .= '<loc>' . htmlspecialchars('https://'.$item['sub_domain']) . '</loc>'; 
        //     $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>'; 
        //     $sitemapContent .= '</url>';
        // }

        $sitemapContent .= '</sitemapindex>';
        // $sitemapContent .= '</sitemapindex>';
    //   $filePath = APPPATH . 'views/sitemap.xml';
        // file_put_contents($filePath, $sitemapContent);
        
        // Set headers to display sitemap.xml directly
        header('Content-Type: application/xml');
        echo $sitemapContent;

    }
    
    function pages_sitemap()
    {
        // Start sitemap XML content
        $sitemapContent = '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">';
        
        $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url() . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>';
            $sitemapContent .= '</url>';
        $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url('buy') . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>';
            $sitemapContent .= '</url>';
        $sitemapContent .= '</urlset>';
        // Set headers to display sitemap.xml directly
        header('Content-Type: application/xml');
        echo $sitemapContent;

    }
    
    function buy_sitemap()
    {
        
        $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
        
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');
        
        $this->db->where('domain_id', $domain_id);
        $b = $this->db->get('type_web_pages');
        $type_id = $b->row('type_id');
        
        if ($type_id == 1)
        {
            $sale_type_id = 23;
        }elseif($type_id == 2)
        {
            $sale_type_id = 25;
        }elseif($type_id == 3)
        {
            $sale_type_id = 24;
        }elseif ($type_id == 4)
        {
            $sale_type_id = 26;
        }
    


        $this->db->select('sub_domain_slug');
        $this->db->from('property_info i');
        $this->db->where('i.property_type_id',$sale_type_id);
        $this->db->where('property_status', 'SALE');
        $this->db->where('published_status', 'Published');
        $this->db->order_by('i.property_id', 'desc');
        // $this->db->limit(100);
        $c = $this->db->get();
        $result = $c->result();
        
        
        // Start sitemap XML content
        $sitemapContent = '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">';
        
        foreach($result as $value)
        {
            $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url('buy/'.htmlspecialchars($value->sub_domain_slug)) . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>';
            $sitemapContent .= '</url>';
        }
        $sitemapContent .= '</urlset>';
        // Set headers to display sitemap.xml directly
        header('Content-Type: application/xml');
        echo $sitemapContent;

    }
    
    function sale_sitemap()
    {
        $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
        
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');
        
        $this->db->where('domain_id', $domain_id);
        $b = $this->db->get('type_web_pages');
        $type_id = $b->row('type_id');
        
        if ($type_id == 1)
        {
            $sale_type_id = 23;
        }elseif($type_id == 2)
        {
            $sale_type_id = 25;
        }elseif($type_id == 3)
        {
            $sale_type_id = 24;
        }elseif ($type_id == 4)
        {
            $sale_type_id = 26;
        }
        
        $names = array('studio','1 br','2 br','3 br');
        $this->db->select('sub_domain_bedrooms_slug');
        $this->db->from('property_info i');
        $this->db->where('i.property_type_id',$sale_type_id);
        $this->db->where('i.property_status', 'SALE');
        $this->db->where('i.published_status', 'Published');
        $this->db->where_in('i.for_sale_bedroom',$names);
        $this->db->group_by('i.for_sale_bedroom');
        $c = $this->db->get();
        $result = $c->result();
        
        
        // Start sitemap XML content
        $sitemapContent = '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">';
        
        foreach($result as $value)
        {
            $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url('sale/'.$value->sub_domain_bedrooms_slug) . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>';
            $sitemapContent .= '</url>';
        }
        $sitemapContent .= '</urlset>';
        // Set headers to display sitemap.xml directly
        header('Content-Type: application/xml');
        echo $sitemapContent;

    }
    
    public function generate_robots() {
        $robotsContent = "User-agent:*\n";
        // $robotsContent .= "\n\n\n";
        $robotsContent .= "Disallow: /detail";
        $robotsContent .= "\nDisallow: ma.apartments-dubai.com";
        $robotsContent .= "\n\n\nAllow: /\n\n\n".'Sitemap: https://'.$_SERVER['HTTP_HOST'].'/sitemap2.xml';
        
        
         // Save sitemap.xml file
        // $filePath = dirname(FCPATH) . '/robots.txt';
        // file_put_contents($filePath, $robotsContent);

        header('Content-Type: text/plain');
        echo $robotsContent;
    }
}